Get Firmware Patches

Get Applicable Firmware Remediation.
This method gets the list of firmware patches available for the account or the list of devices provided.

KeyMeaningMandatoryData Type
accountidAccount identifierYesstring
deviceDevice name(s) to fetch firmware patches forYesarray
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Patch.getApplicableFirmwareRemediation(
  accountid="Demo Account",
  device=["device 1","device 2"]
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json